Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 98591 - New version of FreeNX (0.4.4) is availible
Summary: New version of FreeNX (0.4.4) is availible
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: NX Server Herd
URL: http://developer.berlios.de/forum/for...
Whiteboard:
Keywords: EBUILD
: 100376 (view as bug list)
Depends on:
Blocks: 63757
  Show dependency tree
 
Reported: 2005-07-10 12:36 UTC by Jon Severinsson
Modified: 2006-03-05 06:54 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
The minimal diff to achieve 100% correctness (nxserver-freenx-0.4.1.diff,403 bytes, patch)
2005-07-10 12:40 UTC, Jon Severinsson
Details | Diff
nx-x11-1.5.0.ebuild (nx-x11-1.5.0-r1.ebuild,2.75 KB, text/plain)
2005-08-06 07:34 UTC, Martin Honermeyer
Details
nx-x11-windows-linux.patch (nx-x11-windows-linux.patch,1.32 KB, text/plain)
2005-08-06 07:35 UTC, Martin Honermeyer
Details
Patch to add support for the 1.5.0 backend. (nxserver-freenx-0.4.4.diff,571 bytes, patch)
2005-08-08 02:38 UTC, Jon Severinsson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Severinsson 2005-07-10 12:36:57 UTC
There is now a new 0.4.1 version of FreeNX. It is featuring lots of bugfixes, one small security enhancement and support for both the nx 1.4 and 1.5 backends.
The current 0.4.0 ebuild can be used, but as the 1.5 backend now is supported, dependencies should be updated to be 100% correct (else the ebuild will only work with 1.4 backends, which is all that is in portage atm).

Reproducible: Always
Steps to Reproduce:
1. emerge -av nxserver-freenx
Actual Results:  
Install of 0.4.0 is starting

Expected Results:  
Install of 0.4.1 should be starting
Comment 1 Jon Severinsson 2005-07-10 12:40:35 UTC
Created attachment 63092 [details, diff]
The minimal diff to achieve 100% correctness
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2005-07-26 11:12:23 UTC
*** Bug 100376 has been marked as a duplicate of this bug. ***
Comment 3 Jon Severinsson 2005-07-27 08:09:03 UTC
0.4.2 has been released, featuring tons of buggfixes (and solaris suport, but
that's not realy of interest for gentoo...)

Due to changes to snapshot 4 and the final !M nx release, 0.4.1 & 0.4.2 does not
work with the final 1.5.0 backend, so don't apply the patch. Keep it though, as
0.4.3 is supposed to fix this when it is released.
Comment 4 Jon 2005-07-27 15:04:23 UTC
I am using FreeNX v0.42 with NX Components v 1.4.0 and it works great. I did 
originally try it with 1.5.0 components and it did completely fail. But FreeNX 
is fully stable and works great with 1.4.0. The ebuild needs to be changed so 
that 1.5.0 components are blocked, and it will be fine. I don't exactly know 
how to do that though. 
Comment 5 Jon Severinsson 2005-07-27 21:52:53 UTC
Leaving the ebuild as-is and you'll be using 1.4.0 only, only when applying the
patch will 1.5.0 backend be allowed, wich I do not recomend doing...
Comment 6 Jon Severinsson 2005-07-31 21:50:20 UTC
Freenx 0.4.3 is released. It features propper support for the 1.5.0 backend, so
apply the patch. I'm working on 1.5.0 backend ebuilds, but my time is limited...
Comment 7 Martin Honermeyer 2005-08-06 07:34:23 UTC
Created attachment 65236 [details]
nx-x11-1.5.0.ebuild

Ebuild for the 1.5.0 backend! Contains the Windows-Linux resume patch by Sunil.
Comment 8 Martin Honermeyer 2005-08-06 07:35:51 UTC
Created attachment 65237 [details]
nx-x11-windows-linux.patch

Sunil's patch.
Comment 9 Martin Honermeyer 2005-08-06 07:37:34 UTC
The above works for me, using FreeNX-0.4.4-rc1 and the 1.4.0 clients. 
Comment 10 Jon 2005-08-07 11:58:10 UTC
FreeNX v0.4.4 was released yesterday. It seems to have a lot of bug fixes in 
it. I hope it doesn't introduce new ones though. :P 
Comment 11 Jon 2005-08-07 18:13:02 UTC
Okay, all the ebuild for the Open Source components of NX and FreeNX v0.4.4 are 
located here: 
http://bugs.gentoo.org/show_bug.cgi?id=101691 
There is a bug in FreeNX v0.4.4 that I fixed. :) Enjoy! 
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2005-08-07 23:20:33 UTC

*** This bug has been marked as a duplicate of 101691 ***
Comment 13 Jon Severinsson 2005-08-08 02:32:09 UTC
Hi again.

Yes 0.4.4 is out, and contains many bugfixes. The current ebuild works fine
(with the patch for 1.5.0 support).
It does contain one bug though, and Jon will hopefully submit a patch to this
ebuild soon (if not you might have luck at bug #101691).

Also, please ignore the above nx-x11 ebuild above. It is incomplete and the
patch is realy for nx-x11 1.4.0. I don't know it it will work, or even is
nessesary, with nx-x11 1.5.0, as resolution and resume has had a complete rework
for 1.5.0.
(hopefully) working 1.5.0 ebuilds can be found at bug #101715

As for the duplicate stuff, the bug refered to is newer than this bug, and is
full of errors.
Comment 14 Jon Severinsson 2005-08-08 02:38:44 UTC
Created attachment 65399 [details, diff]
Patch to add support for the 1.5.0 backend.

I found a small error in the previous patch. I had forgotten to update the
dependancy on nxclient to >=1.4.0 instead of =1.4*

0.4.1 & 0.4.2 should use the current 0.4.0 ebuild unodified, while 0.4.3 and
0.4.4 should apply this patch to the current 0.4.0 ebuild.
Comment 15 Stuart Herbert (RETIRED) gentoo-dev 2006-03-05 06:54:28 UTC
Closing bug, now we have freenx-0.5.0 in the Portage tree.

Best regards,
Stu